<div class="public-horizon-form">
    <div class="public-horizon">
        <label class="horizon-label label-4"><span class="text-red">*</span>设备类型：</label>
        <div class="horizon-group horizon-col-3">
            <div class="nbox-group-input andon-input-wrapper"
                 ng-class="{'focus':(focusInput)}">
                <input ng-init="focusInput=false"
                       ng-focus="focusInput=true"
                       ng-blur="focusInput=false"
                       ng-change="searchChange()"
                       type="text" value="" placeholder="搜索"
                       class="form-control ad-left-child"
                       ng-class="{'work-placeholder': config.isNoValue}"
                       ng-model="config.searchInfo" ng-keyup="upModel()">
                <i class="fa fa-search ad-right-child focus"
                   ng-click="searchDeviceType()"></i>
            </div>
        </div>
        <div class="horizon-btns">
            <button class="btn btn-primary" ng-disabled="config.queryBtn" ng-click="queryData()">查询</button>
        </div>
        <div class="horizon-btns">

            <button class="btn btn-primary flex-center-inline" ng-click="downloadExcelTemplate('reasonCode')">
                下载上传模板
            </button>
        </div>
        <div class="horizon-btns">
            <button class="btn btn-primary"
                    ng-click="importCurrentEffect()" ng-disabled="" ng-if="config.editRW">批量导入</button>
        </div>
        <div class="horizon-btns horizon-save-btns">
            <button class="btn btn-primary" ng-disabled="config.pullBtn" ng-click="pullFile()">导出</button>
        </div>
    </div>


</div>
<div class="andon-grid">
    <div ui-grid="gridCurrentEffect"
         ui-grid-edit ui-grid-cellnav ui-grid-selection
         ui-grid-pagination ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
         class="myMiddleGrid" ></div>
</div>
